# Method: monetization.subscriptions.create

- [HTTP request](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.subscriptions/create#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.subscriptions/create#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.subscriptions/create#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.subscriptions/create#body.request_body)
- [Response body](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.subscriptions/create#body.response_body)
- [Authorization scopes](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.subscriptions/create#body.aspect)
- [Try it!](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.subscriptions/create#try-it)

Creates a new subscription. Newly added base plans will remain in draft state until activated.

### HTTP request

`POST https://androidpublisher.googleapis.com/androidpublisher/v3/applications/{packageName}/subscriptions`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `packageName` | `string` Required. The parent app (package name) for which the subscription should be created. Must be equal to the packageName field on the Subscription resource. |

### Query parameters

| Parameters ||
|---|---|
| `productId` | `string` Required. The ID to use for the subscription. For the requirements on this format, see the documentation of the productId field on the Subscription resource. |
| `regionsVersion` | ``object (`https://developers.google.com/android-publisher/api-ref/rest/v3/RegionsVersion`)`` Required. The version of the available regions being used for the subscription. |

### Request body

The request body contains an instance of `https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.subscriptions#Subscription`.

### Response body

If successful, the response body contains a newly created instance of `https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.subscriptions#Subscription`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/androidpublisher`